#!/bin/sh

HOOK="/var/packages/ActiveBackup/target/bin/synoabk-hook"

case $1 in
        --name|--pkg-ver|--vendor)
                ${HOOK} package_info $1
        ;;

        --sdk-mod-ver)
                ${HOOK} app_privilege --sdk-mod-ver;
        ;;

        --pre)
                ${HOOK} app_privilege --pre-set
        ;;

        --post)
                ${HOOK} app_privilege --post-set

        ;;

        *)
        ;;
esac
